<?php
/*
Plugin Name: md.lu - Live Time and Date
Plugin URI:  https://md.lu
Description: Affiche la date et l'heure. Pour ajouter la date et l'heure à la page ou article WordPress, on ajoute le ShortCode suivant '[live-time-date]' à l'endroit où on veut ajouter  la date et l'heure. Cette version fait appel au code JavaScript pour faire la mise à jour en direct de l'heure. L'heure est récupérée sur l'ordinateur du client.
Version:     1.1
Author:      MD
Author URI:  https://md.lu
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: live-time-date
*/

function live_time_date() {
  echo '<p id="time"></p>';
  echo '<script>';
  echo 'function updateTime() {';
  echo 'var date = new Date();';
  echo 'var time = date.toLocaleString();';
  echo 'document.getElementById("time").innerHTML = time;';
  echo '}';
  echo 'setInterval(updateTime, 1000);';
  echo '</script>';
}

function live_time_date_shortcode() {
    return '<p id="time"></p>
            <script>
              function updateTime() {
                var date = new Date();
                var time = date.toLocaleString();
                document.getElementById("time").innerHTML = time;
              }
              setInterval(updateTime, 1000);
            </script>';
}
add_shortcode( 'live-time-date', 'live_time_date_shortcode' );

